cancel
Showing results for 
Search instead for 
Did you mean: 

Is it worth upgrading to 1.9.2? There are no Add-ons What's the point?

Is it worth upgrading to 1.9.2? There are no Add-ons What's the point?

I have upgraded my site to version 1.9.2, however there are no free addons that are compatible with this version.

Is there any reason to use this version or would using 1.8 or 1.9.0 be better?  At least those versions have add-ons that will work with the program. 

I am not a tech person so I don't know the "behind the scenes"  work that would make a difference between versions.

 

Can someone tell me if there is a valid reason to upgrade to a version with no addons available?

Thank you,

Steven

 

3 REPLIES

Re: Is it worth upgrading to 1.9.2? There are no Add-ons What's the point?

Magento 1.9.2 contains important security updates.So it is worth upgrading to Magento 1.9.2 version.

---
Problem Solved Click Accept as Solution!:Magento Community India Forum

Re: Is it worth upgrading to 1.9.2? There are no Add-ons What's the point?

Yes, it is worth upgrading to 1.9.2 as there are few security updates included in that. However you can skip this update as install the required security patches.

If you upgrade to 1.9.2, most probably you will not face any issue with the extensions which are compatiible up to 1.9

Found something useful, please give "Kudos" or "Accept as Solution" for Token of Appreciation.
Free Magento Extensions : https://magecomp.com/free-magento-extensions.html

Re: Is it worth upgrading to 1.9.2? There are no Add-ons What's the point?

Thank you for your reply. However I thought that idea too, and all of the extensions I tried that were for 1.9, crashed my site.

I didn't even get complicated ones, just addons for navigation and none worked.

 

So my choice is 1.8.1  and have to install all security patches, or 1.9.2 that is secure but doesn't have any addons?
I guess since I do not know how to install the patches, I am stuck with 1.9.2.

 

 

Thanks for imput, if anyone has better idea please let me know.

 

Steven